#### OUTRECSIZE

#### Synopsis

    HELP:   Record length of decompressed files (format "fix"/"undefined", 1-32760) [512]
    TYPE:   NUMBER
    SYNTAX: OUTRECSIZE/ORECSIZE/ORECS/ORSIZE/OUTSIZE=num

#### Description

This parameter specifies the record size of the decompressed file.

See also parameter OUTRECFORMAT.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `ORECSIZE=n`
  - `ORECS=n`
    - Note: True length without record length field. This value must only be specified if the record length differs from the original file.
- UNIX
  - `-outrecsize=n`
    - Note: This parameter specifies the record size of the decompressed files with a fixed or undefined record format. For other record formats, this indicates the buffer size.
- WINDOWS
  - `outrecsize=nnn`
  - *outrecs=nnn`
    - Note: This parameter specifies the record length of the decompressed files with record format "fix" or "undefined" resp. the maximum record length.

Values

- z/OS
  - 0-32760
- UNIX
  - 1-32760
- WINDOWS
  - 1-32760

Default

- z/OS
  - 32752 bytes or value from the file header
- UNIX
  - none
- WINDOWS
  - 512

Valid for

- decompression